Library Version 11.2.5.3

swap
Prev | Chapter 5. Db_map | Next

## swap

### Function Details

    void swap(db_map< kdt, ddt, value_type_sub > &mp,
        bool b_truncate=true)

Swap content with container mp.

This function supports auto-commit.

#### Parameters

##### b_truncate

See db_vector::swap() for details.

##### mp

The container to swap content with.

#### See Also

http://www.cplusplus.com/reference/stl/map/swap/ db_vector::clear()

### Class

db_map

Prev | Up | Next
operator[] | Home | clear